package cn.com.tenlion.bigdata.pojo.vos.bigdatatemplatearea;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: BigdataTemplateAreaVO
 * @Description: 大数据展示模板的区域设置
 * @Author: WenG
 * @Date: 2020-10-20 15:08
 * @Version: 1.0
 **/
@ApiModel
public class BigdataTemplateAreaVO {

    @ApiModelProperty(name = "bigdataTemplateId", value = "模板ID")
    @CheckEmptyAnnotation(name = "模板")
    private String bigdataTemplateId;
    @ApiModelProperty(name = "bigdataModuleId", value = "模块ID")
    @CheckEmptyAnnotation(name = "模块")
    private String bigdataModuleId;
    @ApiModelProperty(name = "templateAreaJump", value = "跳转详情")
    @CheckEmptyAnnotation(name = "跳转详情")
    private String templateAreaJump;
    @ApiModelProperty(name = "templateAreaJumpMode", value = "跳转方式")
    private String templateAreaJumpMode;
    @ApiModelProperty(name = "templateAreaJumpTemplateId", value = "跳转模板")
    private String templateAreaJumpTemplateId;
    @ApiModelProperty(name = "templateAreaModuleData", value = "模块数据")
    @CheckEmptyAnnotation(name = "模块数据")
    private String templateAreaModuleData;
    @ApiModelProperty(name = "templateAreaServerData", value = "渲染数据")
    @CheckEmptyAnnotation(name = "数据来源详情")
    private String templateAreaServerData;
    @ApiModelProperty(name = "templateAreaSource", value = "数据来源")
    @CheckEmptyAnnotation(name = "数据来源")
    private String templateAreaSource;
    @ApiModelProperty(name = "templateAreaLeft", value = "距左部像素px")
    private Double templateAreaLeft;
    @ApiModelProperty(name = "templateAreaTop", value = "距顶部像素px")
    private Double templateAreaTop;
    @ApiModelProperty(name = "templateAreaDown", value = "距底部像素px")
    private Double templateAreaDown;
    @ApiModelProperty(name = "templateAreaRight", value = "距右部像素px")
    private Double templateAreaRight;
    @ApiModelProperty(name = "templateAreaHeight", value = "高度")
    private Double templateAreaHeight;
    @ApiModelProperty(name = "templateAreaWidth", value = "宽度")
    private Double templateAreaWidth;
    @ApiModelProperty(name = "templateAreaColor", value = "区域颜色")
    @CheckEmptyAnnotation(name = "区域颜色")
    private String templateAreaColor;
    @ApiModelProperty(name = "templateAreaRemark", value = "备注")
    private String templateAreaRemark;
    @ApiModelProperty(name = "templateAreaStatus", value = "区域状态")
    private String templateAreaStatus;
    @ApiModelProperty(name = "templateAreaFrequency", value = "刷新频率")
    @CheckNumberAnnotation(name = "刷新频率")
    private Integer templateAreaFrequency;
    @ApiModelProperty(name = "templateAreaFile", value = "区域插件")
    private String templateAreaFile;
    @ApiModelProperty(name = "templateAreaJumpUrl", value = "跳转链接")
    private String templateAreaJumpUrl;
    @ApiModelProperty(name = "templateAreaServerLink", value = "区域联动方式")
    private String templateAreaServerLink;

    public String getTemplateAreaServerLink() {
        return templateAreaServerLink == null ? "" : templateAreaServerLink;
    }

    public void setTemplateAreaServerLink(String templateAreaServerLink) {
        this.templateAreaServerLink = templateAreaServerLink;
    }

    public String getTemplateAreaJumpUrl() {
        return templateAreaJumpUrl == null ? "" : templateAreaJumpUrl;
    }

    public void setTemplateAreaJumpUrl(String templateAreaJumpUrl) {
        this.templateAreaJumpUrl = templateAreaJumpUrl;
    }

    public String getTemplateAreaFile() {
        return templateAreaFile == null ? "" : templateAreaFile;
    }

    public void setTemplateAreaFile(String templateAreaFile) {
        this.templateAreaFile = templateAreaFile;
    }

    public Integer getTemplateAreaFrequency() {
        return templateAreaFrequency;
    }

    public void setTemplateAreaFrequency(Integer templateAreaFrequency) {
        this.templateAreaFrequency = templateAreaFrequency;
    }

    public String getBigdataTemplateId() {
        return bigdataTemplateId == null ? "" : bigdataTemplateId.trim();
    }

    public void setBigdataTemplateId(String bigdataTemplateId) {
        this.bigdataTemplateId = bigdataTemplateId;
    }

    public String getBigdataMuduleId() {
        return bigdataModuleId == null ? "" : bigdataModuleId.trim();
    }

    public void setBigdataMuduleId(String bigdataModuleId) {
        this.bigdataModuleId = bigdataModuleId;
    }

    public String getTemplateAreaJump() {
        return templateAreaJump == null ? "" : templateAreaJump.trim();
    }

    public void setTemplateAreaJump(String templateAreaJump) {
        this.templateAreaJump = templateAreaJump;
    }

    public String getTemplateAreaJumpMode() {
        return templateAreaJumpMode == null ? "" : templateAreaJumpMode.trim();
    }

    public void setTemplateAreaJumpMode(String templateAreaJumpMode) {
        this.templateAreaJumpMode = templateAreaJumpMode;
    }

    public String getTemplateAreaJumpTemplateId() {
        return templateAreaJumpTemplateId == null ? "" : templateAreaJumpTemplateId.trim();
    }

    public void setTemplateAreaJumpTemplateId(String templateAreaJumpTemplateId) {
        this.templateAreaJumpTemplateId = templateAreaJumpTemplateId;
    }

    public String getTemplateAreaModuleData() {
        return templateAreaModuleData == null ? "" : templateAreaModuleData.trim();
    }

    public void setTemplateAreaModuleData(String templateAreaModuleData) {
        this.templateAreaModuleData = templateAreaModuleData;
    }

    public String getTemplateAreaServerData() {
        return templateAreaServerData == null ? "" : templateAreaServerData.trim();
    }

    public void setTemplateAreaServerData(String templateAreaServerData) {
        this.templateAreaServerData = templateAreaServerData;
    }

    public String getTemplateAreaSource() {
        return templateAreaSource == null ? "" : templateAreaSource.trim();
    }

    public void setTemplateAreaSource(String templateAreaSource) {
        this.templateAreaSource = templateAreaSource;
    }

    public String getBigdataModuleId() {
        return bigdataModuleId == null ? "" : bigdataModuleId;
    }

    public void setBigdataModuleId(String bigdataModuleId) {
        this.bigdataModuleId = bigdataModuleId;
    }

    public Double getTemplateAreaLeft() {
        return templateAreaLeft;
    }

    public void setTemplateAreaLeft(Double templateAreaLeft) {
        this.templateAreaLeft = templateAreaLeft;
    }

    public Double getTemplateAreaTop() {
        return templateAreaTop;
    }

    public void setTemplateAreaTop(Double templateAreaTop) {
        this.templateAreaTop = templateAreaTop;
    }

    public Double getTemplateAreaDown() {
        return templateAreaDown;
    }

    public void setTemplateAreaDown(Double templateAreaDown) {
        this.templateAreaDown = templateAreaDown;
    }

    public Double getTemplateAreaRight() {
        return templateAreaRight;
    }

    public void setTemplateAreaRight(Double templateAreaRight) {
        this.templateAreaRight = templateAreaRight;
    }

    public Double getTemplateAreaHeight() {
        return templateAreaHeight;
    }

    public void setTemplateAreaHeight(Double templateAreaHeight) {
        this.templateAreaHeight = templateAreaHeight;
    }

    public Double getTemplateAreaWidth() {
        return templateAreaWidth;
    }

    public void setTemplateAreaWidth(Double templateAreaWidth) {
        this.templateAreaWidth = templateAreaWidth;
    }

    public String getTemplateAreaColor() {
        return templateAreaColor == null ? "" : templateAreaColor.trim();
    }

    public void setTemplateAreaColor(String templateAreaColor) {
        this.templateAreaColor = templateAreaColor;
    }

    public String getTemplateAreaRemark() {
        return templateAreaRemark == null ? "" : templateAreaRemark.trim();
    }

    public void setTemplateAreaRemark(String templateAreaRemark) {
        this.templateAreaRemark = templateAreaRemark;
    }

    public String getTemplateAreaStatus() {
        return templateAreaStatus == null ? "" : templateAreaStatus.trim();
    }

    public void setTemplateAreaStatus(String templateAreaStatus) {
        this.templateAreaStatus = templateAreaStatus;
    }


}
